Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367445 - [RFE] Provide a Python Jenkins Kubernetes Plug-in Image to accommodate alternative build scripting languages
Summary: [RFE] Provide a Python Jenkins Kubernetes Plug-in Image to accommodate altern...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Ben Parees
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-16 12:25 UTC by Eric Rich
Modified: 2018-01-29 14:57 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-29 14:57:26 UTC


Attachments (Terms of Use)

Description Eric Rich 2016-08-16 12:25:41 UTC
Description of problem:

For a user looking to use Ruby/Python or an alternative shell as part of a Jenkins build, it is not possible because these tools are not built into the Jenkins image. 

This RFE is to request that alternative shells like python and ruby are included in the Jenkins image, so that they can be used as part of build automation.

Comment 1 Ben Parees 2016-11-10 02:21:42 UTC
Eric, given that we support arbitrary slave images which can contain other shell tools, do you still think it's critical that the jenkins master image also include these tools?  It seems like a slippery slope (python, ruby, perl...).

Users can certainly extend the jenkins master image themselves if they want additional tools included in it.


Note You need to log in before you can comment on or make changes to this bug.